# tab(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

tab - Handle the tab key

## SYNOPSIS

n tab (tab)

## DESCRIPTION

tab manages the `tab` key, typically inserts n tabs. The effect of the command is determined by:

$buffer-indent

If $buffer-indent(5), is non-zero then the effect of tab is defined by the setting of bit `0x1000` of variable $system(5), typically it resets the current line indentation or inserts a tab.

tab

If a tab is to be inserted and this mode is enabled then multiple spaces are used instead of tab characters, see tab(2m) mode.

## SEE ALSO

$buffer-indent(5), $buffer-tab-width(5), $tab-width(5), backward-delete-tab(2), indent(2), insert-tab(2), normal-tab(3), tab(2m).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>